# store function

(Shortest import: `from brian2 import store)`

brian2.core.magic.store(name='default', filename=None)

  Store the state of the network and all included objects.

  Parameters:

    name : str, optional

    > A name for the snapshot, if not specified uses `'default'`.

    filename : str, optional

    > A filename where the state should be stored. If not specified, the state will be stored in memory.

  See also

  `Network.store`